# Package org.apache.maven.shared.artifact.filter.collection

Interface Summary
Interface | Description
--- | ---
ArtifactsFilter |

Class Summary
Class | Description
--- | ---
AbstractArtifactFeatureFilter | This is the common base class of ClassifierFilter and TypeFilter
AbstractArtifactsFilter |
ArtifactIdFilter | Filter on ArtifactId name
ArtifactTransitivityFilter | This filter will exclude everything that is not a dependency of the selected artifact.
ClassifierFilter |
FilterArtifacts |
GroupIdFilter | Filter on GroupId Name.
ProjectTransitivityFilter |
ScopeFilter |
TypeFilter |

Exception Summary
Exception | Description
--- | ---
ArtifactFilterException |